"""migrate children number to INTEGER

Revision ID: 21afa0e08c81
Revises: a7e5903b9df7
Create Date: 2016-06-13 14:58:13.478249

"""

# revision identifiers, used by Alembic.
revision = '21afa0e08c81'
down_revision = 'a7e5903b9df7'

from alembic import op
import sqlalchemy as sa


INSERTS = """ALTER TABLE resultindicators ALTER COLUMN children_number TYPE integer USING (NULLIF(children_number,'0')::integer);"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    iter_statements(INSERTS)


def downgrade():
    iter_statements(DELETES)
